/ api / name / gb.collection.get
GB.Collection.Get
Syntax

    int GB.Collection.Get ( GB_COLLECTION col , const char *key , long len , GB_VARIANT *value )

Retrieves an element from a collection.

- col is a reference to the collection object.
- key points at the key string.
- len is the key length.
- value will receive a copy of the stored value.

If no value is associated with the specified key, then this function returns a non-zero value, and the type field of the GB_VARIANT structure is set to GB_T_NULL.

### See also

Collection Objects Management